;;
;;      AFRALISP AutoCAD 2002 ACADDOC.Lsp
;;      April 2003
;;
;;      Copyright (c) 2003
;;      by AFRALISP
;;
;;      Permission to use, copy, modify, and distribute this software
;;      for any purpose and without fee is hereby granted, provided that
;;      the above copyright notice appears in all copies and that both
;;      the copyright notice and the limited warranty and restricted rights
;;      notice below appear in all supporting documentation.
;;
;;      AFRALISP PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
;;      AFRALISP SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
;;      MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AFRALISP
;;      DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
;;      UNINTERRUPTED OR ERROR FREE.
;;
;;
;;
;;	Written by Kenny Ramage April 2003
;;	E-Mail : afralisp@mweb.com.na
;;
;;*--------------------------------------------------------------------
;*STANDARD SYSTEM SETTINGS
(acad-push-dbmod)

(princ (load "CERROR" "\nCERROR.LSP not found"))

;;*-------------------------------------------------------------------

(defun-q AFRALISPSTARTUP ()

(if (not (member "doslib6.arx" (arx)))
  (if (findfile "doslib6.arx")
  (arxload "doslib6")
  )
  )


(vl-load-com)

(setq flag1 T)

(setq loaded (menugroup "AFRALISP"))

(if (= loaded nil)

   (progn

        (setq temp (findfile "AFRALISP.MNU"))

           (if temp

   		(progn

			(setvar "FILEDIA" 0)

		    	(command "menuload" "AFRALISP")

			(setvar "FILEDIA" 1)

		    	(menucmd "P11=+AFRALISP.POP1")

		    	(prompt "\nLoading AFRALISP Custom Utilities....\n")

		);progn

		(progn   

                        (alert "Cannot Locate AFRALISP Menu. \nCall System Administrator.")
	
			(setq flag1 nil)

		);progn

	   );if

    );progn

);if

		(if flag1

       			(prompt "\nAFRALISP Custom Utilities Loaded....
                                                               \nHave a Nice Day.........")

		);if


    (princ)



);defun-q

(setq S::STARTUP (append S::STARTUP AFRALISPSTARTUP))

(acad-pop-dbmod)

;;*---------------------------------------------------------------------
